petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoSetJacobianInequalityRoutine

Sets the function to compute the Jacobian (and its inverse) of the constraint function with respect to the inequality variables. Used only for pde-constrained optimization.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetJacobianInequalityRoutine(Tao tao, Mat J, Mat Jpre, PetscErrorCode (*func)(Tao, Vec, Mat, Mat,void*), void *ctx)

Logically collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| J | - Matrix used for the jacobian Many br
| Jpre | - Matrix that will be used operated on by PETSc preconditioner, can be same as J. Many br
| jac | - Jacobian evaluation routine Many br
| ctx | - [optional] user-defined context for private data for the Many brJacobian evaluation routine (may be NULL) Many br

### Calling sequence of jac

       jac (Tao tao,Vec x,Mat *J,Mat *Jpre,void *ctx);

| tao | - the Tao context Many br
| x | - input vector Many br
| J | - Jacobian matrix Many br
| Jpre | - preconditioner matrix, usually the same as J Many br
| ctx | - [optional] user-defined Jacobian context Many br

Many br

### See Also

: TaoComputeJacobianInequality(), TaoSetJacobianDesignRoutine(), TaoSetInequalityDesignIS()

Level:intermediate
Location:src/tao/interface/taosolver_hj.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html